<?php

use App\Http\Controllers\BirthRegisterController;
use Illuminate\Support\Facades\Route;


/******************************* Main Route*****************************/
Route::resource('/birth-registers', BirthRegisterController::class);


// IPD ADMISSION TABLE ROUTE
Route::get('/birth-registers-list/{id}', [BirthRegisterController::class, 'birthRegisters'])->name('birth-registers.index');


// MAIN BIRTH BIRTH-REGISTER ROUTE
Route::get('birth-registers/', [BirthRegisterController::class, 'index'])->name('birth-registers.main');

/*******************************changestatus*****************************/
Route::post('birth-registers/changeStatus', [BirthRegisterController::class, 'changeStatus'])->name('birth-registers-changestatus');
Route::get('birth-registers-account-create/{id?}', [BirthRegisterController::class, 'createBirthRegister'])->name('birth-registers-account-create');
Route::post('birth-registers-account-store/{id?}', [BirthRegisterController::class, 'storeBirthRegister'])->name('birth-registers-account-store');
Route::put('birth-registers-account-update/{id}', [BirthRegisterController::class, 'updateBirthRegister'])->name('birth-registers-account-update');

// BIRTH REGISTER STATEMENT 
Route::any('birth-registers-statement', [BirthRegisterController::class, 'statement'])->name('birth-registers-statement'); 
Route::any('birth-registers-statement-export', [BirthRegisterController::class, 'exportStatement'])->name('birth-registers-statement-export');






	